Subject: loosing center line in pager window

From: [email-masked]
Date: Wed, 21 Apr 1999 20:35:46 -0500 (CDT)

Full_Name: paul novak
Version: 2.2
CVS_Date: 
OS: linux 2.0.34
X_Server: X11R3.3.1
Submission from: (NULL) (208.133.79.154)

Well, I hope this is a bug and not something silly I'm doing; I'm pretty
new to
fvwm2.

Here' the problem:

Given the following .fvwm2rc file:

++++++++++++++++
DeskTopSize     2x3
Style "Fvwm*"           NoTitle, Sticky, WindowListSkip
AddToFunc "InitFunction" "I" Module FvwmPager 0 0
+               "I" Exec exec xterm -geometry =90x40+300+70 
*FvwmPagerBack springgreen
*FvwmPagerFore black
*FvwmPagerGeometry 200x300+3+3
*FvwmPagerHilight springgreen
++++++++++++++++

to create one desktop with a pager window with 2 columns and 3 rows in the
top left of the desktop, the pager window comes up looking like this
(Letting X represent the sticky pager window in the virtual page (sorry
if I am butchering the language...)

-----------
|X   |    |
|    |    |
-----------
|    |    |
|    |    |
-----------
|    |    |
|    |    |
-----------

That's correct.  I can click on either of the other two virtual pages in
the
leftmost column, and the "X" moves to the top left of the virtual page
that
I clicked in.  However, whenever I click on any of the virtual pages in the

right column, the "X" moves, but I lose the center line in right below the
X.
That is, the display looks like this:

-----------
|    |X   |
|         |  <-note the missing "|" below the X
-----------
|    |    |
|    |    |
-----------
|    |    |
|    |    |
-----------

I do not have the same problem using 2.2 releases using the same .fvwm2rc
file.  I do have the same problem in 2.2 on a Solaris 2.5.1 machine at
work.

The .fvwm2rc file is pared down as much as I could to keep reproducing the
problem.  In reality, my .fvwm2rc is more complicated.  I have discovered
that when I'm using my full blown .fvwm2rc file, sometimes (but not
always...)
when I restart .fvwm2rc, the problem  fixes itself.  I hope that's useful
and not misleading.....

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]